Index: apps/app_voicemail.c
===================================================================
--- apps/app_voicemail.c	(revision 8019)
+++ apps/app_voicemail.c	(working copy)
@@ -340,7 +340,8 @@
 "    g(#) - Use the specified amount of gain when recording a voicemail\n"
 "           message. The units are whole-number decibels (dB).\n"
 "    s    - Skip checking the passcode for the mailbox.\n"
-"    a(#) - Skip folder prompt and go directly to folder specified, default 1\n";
+"    a(#) - Automatically play messages in the specified folder. If there\n"
+"           are no messages, the application will exit.\n";
 
 static char *synopsis_vm_box_exists =
 "Check to see if Voicemail mailbox exists";
@@ -5080,7 +5081,7 @@
 					LOCAL_USER_REMOVE(u);
 					return -1;
 				}
-				else if ( play_folder > 9 || play_folder < 1) {
+				else if ( play_folder > 9 || play_folder < 0) {
 					ast_log(LOG_WARNING, "Invalid value '%d' provided for folder autoplay option\n", play_folder);
 					LOCAL_USER_REMOVE(u);
 					return -1;
